## slepc 3.7.2+dfsg1

=== debian/changelog ===
slepc (3.7.2+dfsg1-2) unstable; urgency=medium

  * Release SLEPc 3.7 to unstable.

 -- Drew Parsons <dparsons@debian.org>  Wed, 17 Aug 2016 16:49:37 +0800

slepc (3.7.2+dfsg1-1exp2) experimental; urgency=medium

  * Fix build of doc package (don't delete files which aren't there).

 -- Drew Parsons <dparsons@debian.org>  Thu, 04 Aug 2016 12:25:14 +0800

slepc (3.7.2+dfsg1-1exp1) experimental; urgency=medium

  * New upstream version.

 -- Drew Parsons <dparsons@debian.org>  Wed, 03 Aug 2016 14:06:35 +0800

slepc (3.7.1+dfsg1-1exp1) experimental; urgency=medium

  * New upstream version.
    - improves MFNKRYLOV and PEPJD solvers.

 -- Drew Parsons <dparsons@debian.org>  Sun, 03 Jul 2016 11:02:21 +0800

slepc (3.7.0+dfsg1-1~exp1) experimental; urgency=low

  * New upstream version. New ABI 3.7. 
    Closes: #824759.

 -- Drew Parsons <dparsons@debian.org>  Tue, 24 May 2016 17:52:23 +0800

slepc (3.6.3.dfsg1-6) unstable; urgency=medium

  * Use alternatives to set default versions for soname (3.6) in
    /usr/lib/slepcdir, including real and complex versions.
  * libslepc3.6.3-dev (and -complex) Depends: libparpack2-dev

 -- Drew Parsons <dparsons@debian.org>  Mon, 06 Jun 2016 08:41:38 +0800

slepc (3.6.3.dfsg1-5) unstable; urgency=medium

  * Build doc package from files installed for the standard (real)
    package. Closes: #825816.

 -- Drew Parsons <dparsons@debian.org>  Wed, 01 Jun 2016 19:11:50 +0800

slepc (3.6.3.dfsg1-4) unstable; urgency=medium

  * Build-Depends: libpetsc3.6-dev (and -complex-) not libpetsc3.6.3-dev.
  * Don't build separate -dbg package (SLEPc has no specific debug
    configure flag, unlike PETSc). Instead, use automated dbgsym
    package with dh_strip.
  * Standards-Version: 3.9.8

 -- Drew Parsons <dparsons@debian.org>  Tue, 24 May 2016 06:19:35 +0800
