=== debian/control ===
Source: slepc
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Christophe Prud'homme <prudhomm@debian.org>, "Adam C. Powell, IV" <hazelsct@debian.org>,
 Drew Parsons <dparsons@debian.org>
Build-Depends: debhelper (>= 9), quilt, python (>= 2.4.4-6),
 pkg-config, dh-python, gfortran,
 libpetsc3.7-dev, libpetsc-complex-3.7-dev,
 libarpack2-dev, libparpack2-dev
Standards-Version: 3.9.8
Section: libs
Homepage: http://slepc.upv.es/
Vcs-Git: git://anonscm.debian.org/debian-science/packages/slepc.git
Vcs-Browser: http://anonscm.debian.org/cgit/debian-science/packages/slepc.git/

Package: slepc-dev
Section: libdevel
Architecture: any
Depends: libslepc3.7-dev, ${misc:Depends}
Description: Scalable Library for Eigenvalue Problem Computations
 SLEPc is a software library for the solution of large scale sparse eigenvalue
 problems on parallel computers. It is an extension of PETSc and can be used
 for either standard or generalized eigenproblems, with real or complex
 arithmetic. It can also be used for computing a partial SVD of a large,
 sparse, rectangular matrix.
 .
 This is a virtual package which depends on the latest version of SLEPc.

Package: libslepc3.7-dev
Section: libdevel
Architecture: any
Depends: libslepc3.7.2-dev, ${misc:Depends}, ${python:Depends}
Description: Scalable Library for Eigenvalue Problem Computations
 SLEPc is a software library for the solution of large scale sparse eigenvalue
 problems on parallel computers. It is an extension of PETSc and can be used
 for either standard or generalized eigenproblems, with real or complex
 arithmetic. It can also be used for computing a partial SVD of a large,
 sparse, rectangular matrix.
 .
 This is a dummy package that depends on the latest version of SLEPc 3.7 
 which provides the static libraries, shared links, and header files
 for SLEPC with real numbers.

Package: libslepc3.7.2-dev
Section: libdevel
Architecture: any
Depends: libslepc3.7.2 (= ${binary:Version}), libpetsc3.7-dev,
 libarpack2-dev, libparpack2-dev, libhdf5-mpi-dev,
 ${misc:Depends}, ${python:Depends}
Suggests: slepc3.7.2-doc (= ${binary:Version})
Conflicts: libslepc2.3.2-dev
Description: Scalable Library for Eigenvalue Problem Computations
 SLEPc is a software library for the solution of large scale sparse eigenvalue
 problems on parallel computers. It is an extension of PETSc and can be used
 for either standard or generalized eigenproblems, with real or complex
 arithmetic. It can also be used for computing a partial SVD of a large,
 sparse, rectangular matrix.
 .
 This package contains the static libraries, shared links, and header files
 for SLEPC with real numbers.

Package: libslepc3.7.2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libslepc2.3.2, libslepc3.6 (<= 3.6.1.dfsg1-2)
Description: Scalable Library for Eigenvalue Problem Computations
 SLEPc is a software library for the solution of large scale sparse eigenvalue
 problems on parallel computers. It is an extension of PETSc and can be used
 for either standard or generalized eigenproblems, with real or complex
 arithmetic. It can also be used for computing a partial SVD of a large,
 sparse, rectangular matrix.
 .
 This package contains the shared libraries for SLEPc with real numbers.

Package: slepc3.7.2-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: libslepc3.7.2-dev (= ${binary:Version})
Description: Scalable Library for Eigenvalue Problem Computations
 SLEPc is a software library for the solution of large scale sparse eigenvalue
 problems on parallel computers. It is an extension of PETSc and can be used
 for either standard or generalized eigenproblems, with real or complex
 arithmetic. It can also be used for computing a partial SVD of a large,
 sparse, rectangular matrix.
 .
 This package contains the documentation and examples for SLEPc.

Package: libslepc-complex-3.7-dev
Section: libdevel
Architecture: any
Depends: libslepc-complex-3.7.2-dev, ${misc:Depends}, ${python:Depends}
Description: Scalable Library for Eigenvalue Problem Computations
 SLEPc is a software library for the solution of large scale sparse eigenvalue
 problems on parallel computers. It is an extension of PETSc and can be used
 for either standard or generalized eigenproblems, with real or complex
 arithmetic. It can also be used for computing a partial SVD of a large,
 sparse, rectangular matrix.
 .
 This is a dummy package that depends on the latest version of SLEPc 3.7 
 which provides the static libraries, shared links, and header files
 for SLEPC with complex numbers.

Package: libslepc-complex-3.7.2-dev
Section: libdevel
Architecture: any
Depends: libslepc-complex-3.7.2 (= ${binary:Version}), libpetsc-complex-3.7-dev,
 libarpack2-dev, libparpack2-dev, libhdf5-mpi-dev,
 ${misc:Depends}, ${python:Depends}
Suggests: slepc3.7.2-doc (= ${binary:Version})
Conflicts: libslepc2.3.2-dev
Description: Scalable Library for Eigenvalue Problem Computations
 SLEPc is a software library for the solution of large scale sparse eigenvalue
 problems on parallel computers. It is an extension of PETSc and can be used
 for either standard or generalized eigenproblems, with real or complex
 arithmetic. It can also be used for computing a partial SVD of a large,
 sparse, rectangular matrix.
 .
 This package contains the static libraries, shared links, and header files
 for SLEPC with complex numbers.

Package: libslepc-complex-3.7.2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libslepc2.3.2, libslepc-complex-3.6 (<= 3.6.1.dfsg1-2)
Description: Scalable Library for Eigenvalue Problem Computations
 SLEPc is a software library for the solution of large scale sparse eigenvalue
 problems on parallel computers. It is an extension of PETSc and can be used
 for either standard or generalized eigenproblems, with real or complex
 arithmetic. It can also be used for computing a partial SVD of a large,
 sparse, rectangular matrix.
 .
 This package contains the shared libraries for SLEPc with complex numbers.
