## slepc 3.7.3+dfsg1

=== debian/changelog ===
slepc (3.7.3+dfsg1-5) unstable; urgency=medium

  * Move slepc3.7 and slepc3.7-real alternatives handling from
    libslepc3.7-dev to libslepc3.7.3-dev. Similarly slepc3.7-complex.
    Otherwise alternatives for older patch versions will be left
    unowned after upgrading. cf. bug#852514.

 -- Drew Parsons <dparsons@debian.org>  Mon, 06 Feb 2017 16:04:17 +0800

slepc (3.7.3+dfsg1-4) unstable; urgency=medium

  * patch-specific SLEPc dev packages depend on specific patch versions
    of PETSc, see SLEPc.pc and PETSc.pc.

 -- Drew Parsons <dparsons@debian.org>  Wed, 18 Jan 2017 00:47:49 +0800

slepc (3.7.3+dfsg1-3) unstable; urgency=medium

  * link header docs to the actual header files
  * docs are Multi-Arch: foreign

 -- Drew Parsons <dparsons@debian.org>  Tue, 29 Nov 2016 22:12:38 +0800

slepc (3.7.3+dfsg1-2) unstable; urgency=medium

  * Handle shlibs dependencies via virtual libslepc3.7 and
    libslepc-complex-3.7 packages. The .Z in 3.7.Z is not used in
    sonames, but we need .Z in binary packages because of the upstream
    directory structure. 
    When different libslepc3.7.Z are installed, the preferred version
    is controlled by alternatives for libslepc3.7 (likewise for
    libslepc_complex.so.3.7).
  * Multiarch: place SLEPc.pc alternative in /usr/lib/<arch>/pkgconfig
    Closes: #726775.

 -- Drew Parsons <dparsons@debian.org>  Fri, 14 Oct 2016 22:26:45 +0800

slepc (3.7.3+dfsg1-1) unstable; urgency=medium

  * New upstream version.
    - fixes some bugs in auxiliary components such as DS, BV and RG.

 -- Drew Parsons <dparsons@debian.org>  Fri, 14 Oct 2016 11:45:17 +0800

slepc (3.7.2+dfsg1-3) unstable; urgency=medium

  * Thanks Christophe Prud'homme for your contributions to the earlier
    versions of slepc.  Removing from the Uploaders list now.
    Closes: #835001.

 -- Drew Parsons <dparsons@debian.org>  Mon, 12 Sep 2016 15:06:57 +0800
