=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: slepc
 Priority: extra
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Christophe Prud'homme <prudhomm@debian.org>, "Adam C. Powell, IV" <hazelsct@debian.org>,
- Drew Parsons <dparsons@debian.org>
+Uploaders: "Adam C. Powell, IV" <hazelsct@debian.org>, Drew Parsons <dparsons@debian.org>
 Build-Depends: debhelper (>= 9), quilt, python (>= 2.4.4-6),
  pkg-config, dh-python, gfortran,
  libpetsc3.7-dev, libpetsc-complex-3.7-dev,
@@ -29,7 +28,7 @@
 Package: libslepc3.7-dev
 Section: libdevel
 Architecture: any
-Depends: libslepc3.7.2-dev, ${misc:Depends}, ${python:Depends}
+Depends: libslepc3.7.3-dev, ${misc:Depends}, ${python:Depends}
 Description: Scalable Library for Eigenvalue Problem Computations
  SLEPc is a software library for the solution of large scale sparse eigenvalue
  problems on parallel computers. It is an extension of PETSc and can be used
@@ -39,15 +38,15 @@
  .
  This is a dummy package that depends on the latest version of SLEPc 3.7 
  which provides the static libraries, shared links, and header files
- for SLEPC with real numbers.
+ for SLEPc with real numbers.
 
-Package: libslepc3.7.2-dev
+Package: libslepc3.7.3-dev
 Section: libdevel
 Architecture: any
-Depends: libslepc3.7.2 (= ${binary:Version}), libpetsc3.7-dev,
+Depends: libslepc3.7.3 (= ${binary:Version}), ${petsc:dev},
  libarpack2-dev, libparpack2-dev, libhdf5-mpi-dev,
  ${misc:Depends}, ${python:Depends}
-Suggests: slepc3.7.2-doc (= ${binary:Version})
+Suggests: slepc3.7.3-doc (= ${binary:Version})
 Conflicts: libslepc2.3.2-dev
 Description: Scalable Library for Eigenvalue Problem Computations
  SLEPc is a software library for the solution of large scale sparse eigenvalue
@@ -57,11 +56,12 @@
  sparse, rectangular matrix.
  .
  This package contains the static libraries, shared links, and header files
- for SLEPC with real numbers.
+ for SLEPc with real numbers.
 
-Package: libslepc3.7.2
+Package: libslepc3.7.3
 Section: libs
 Architecture: any
+Provides: libslepc3.7
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: libslepc2.3.2, libslepc3.6 (<= 3.6.1.dfsg1-2)
 Description: Scalable Library for Eigenvalue Problem Computations
@@ -73,11 +73,12 @@
  .
  This package contains the shared libraries for SLEPc with real numbers.
 
-Package: slepc3.7.2-doc
+Package: slepc3.7.3-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}
-Suggests: libslepc3.7.2-dev (= ${binary:Version})
+Suggests: libslepc3.7.3-dev (= ${binary:Version})
 Description: Scalable Library for Eigenvalue Problem Computations
  SLEPc is a software library for the solution of large scale sparse eigenvalue
  problems on parallel computers. It is an extension of PETSc and can be used
@@ -90,7 +91,7 @@
 Package: libslepc-complex-3.7-dev
 Section: libdevel
 Architecture: any
-Depends: libslepc-complex-3.7.2-dev, ${misc:Depends}, ${python:Depends}
+Depends: libslepc-complex-3.7.3-dev, ${misc:Depends}, ${python:Depends}
 Description: Scalable Library for Eigenvalue Problem Computations
  SLEPc is a software library for the solution of large scale sparse eigenvalue
  problems on parallel computers. It is an extension of PETSc and can be used
@@ -100,15 +101,15 @@
  .
  This is a dummy package that depends on the latest version of SLEPc 3.7 
  which provides the static libraries, shared links, and header files
- for SLEPC with complex numbers.
+ for SLEPc with complex numbers.
 
-Package: libslepc-complex-3.7.2-dev
+Package: libslepc-complex-3.7.3-dev
 Section: libdevel
 Architecture: any
-Depends: libslepc-complex-3.7.2 (= ${binary:Version}), libpetsc-complex-3.7-dev,
+Depends: libslepc-complex-3.7.3 (= ${binary:Version}), ${petsc:complex-dev},
  libarpack2-dev, libparpack2-dev, libhdf5-mpi-dev,
  ${misc:Depends}, ${python:Depends}
-Suggests: slepc3.7.2-doc (= ${binary:Version})
+Suggests: slepc3.7.3-doc (= ${binary:Version})
 Conflicts: libslepc2.3.2-dev
 Description: Scalable Library for Eigenvalue Problem Computations
  SLEPc is a software library for the solution of large scale sparse eigenvalue
@@ -118,11 +119,12 @@
  sparse, rectangular matrix.
  .
  This package contains the static libraries, shared links, and header files
- for SLEPC with complex numbers.
+ for SLEPc with complex numbers.
 
-Package: libslepc-complex-3.7.2
+Package: libslepc-complex-3.7.3
 Section: libs
 Architecture: any
+Provides: libslepc-complex-3.7
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: libslepc2.3.2, libslepc-complex-3.6 (<= 3.6.1.dfsg1-2)
 Description: Scalable Library for Eigenvalue Problem Computations
