=== debian/rules ===
--- 
+++ 
@@ -48,7 +48,7 @@
 
 # SLEPC_VERSION is used for the package names, library sonames, and
 # /usr/lib/slepcdir subdirectory names.
-SLEPC_VERSION=3.7.2$(SLEPC_EXT)
+SLEPC_VERSION=3.7.3$(SLEPC_EXT)
 # use only major.minor as general soname (rather than major.minor.patch.build)
 SLEPC_SONAME_VERSION=$(shell echo $(SLEPC_VERSION) | awk 'BEGIN { FS="."}; {print $$1"."$$2 }')
 
@@ -80,6 +80,7 @@
 PETSC_DIR=/usr/lib/petscdir/$(PETSC_SONAME_VERSION)
 PETSC_DIR_REAL=$(PETSC_DIR)-real
 PETSC_DIR_COMPLEX=$(PETSC_DIR)-complex
+PETSC_VERSION=$(shell pkg-config --modversion PETSc)
 
 export SLEPC_DIR=$(CURDIR)
 
@@ -166,4 +167,3 @@
 	dh_installdocs --exclude=makefile
 	# html docs for header files in include have been installed,
 	# but dh_installdocs cannot exclude the .h (-X.h bans the .html files)
-	# so remove the excess .h files
