## slepc 3.7.4+dfsg1

=== debian/changelog ===
slepc (3.7.4+dfsg1-2build8) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 22:33:04 +0000

slepc (3.7.4+dfsg1-2build7) bionic; urgency=medium

  * Rebuild against new libmumps-5.1.2.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 20 Dec 2017 01:06:21 +0100

slepc (3.7.4+dfsg1-2build6) bionic; urgency=medium

  * Rebuild against new hypre 2.13.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 12 Dec 2017 12:16:58 +0100

slepc (3.7.4+dfsg1-2build5) bionic; urgency=medium

  * No-change rebuild against libscalapack-openmpi2.0

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 29 Nov 2017 06:11:23 +0000

slepc (3.7.4+dfsg1-2build4) bionic; urgency=medium

  * No-change rebuild against libpetsc3.7.7-dev

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 22 Nov 2017 07:44:46 +0000

slepc (3.7.4+dfsg1-2build3) bionic; urgency=medium

  * No-change rebuild against libhypre-2.11.2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 01 Nov 2017 04:50:59 +0000

slepc (3.7.4+dfsg1-2build2) artful; urgency=medium

  * No-change rebuild for libgfortran soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 04 Aug 2017 19:32:56 +0000

slepc (3.7.4+dfsg1-2build1) artful; urgency=medium

  * Rebuild against new libmumps-5.1.1.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 17 Jul 2017 10:13:06 +0200

slepc (3.7.4+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.0.0
  * debhelper compatibility level 10.
  * debian/rules: build using make -j 1
    (SLEPc uses PETSc's lib/petsc/conf/rules which bans make -j.
     petsc uses MAKE_NP to handle parallel builds)	      
  * update debian/watch for uscan

 -- Drew Parsons <dparsons@debian.org>  Sat, 15 Jul 2017 14:19:47 +0800

slepc (3.7.4+dfsg1-1) experimental; urgency=medium

  * New upstream version.

 -- Drew Parsons <dparsons@debian.org>  Sat, 10 Jun 2017 23:45:49 +0800
