=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: slepc
 Priority: extra
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: "Adam C. Powell, IV" <hazelsct@debian.org>, Drew Parsons <dparsons@debian.org>
-Build-Depends: debhelper (>= 9), quilt, python (>= 2.4.4-6),
+Build-Depends: debhelper (>= 10), quilt, python (>= 2.4.4-6),
  pkg-config, dh-python, gfortran,
  libpetsc3.7-dev, libpetsc-complex-3.7-dev,
  libarpack2-dev, libparpack2-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Section: libs
 Homepage: http://slepc.upv.es/
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/slepc.git
@@ -23,12 +24,12 @@
  arithmetic. It can also be used for computing a partial SVD of a large,
  sparse, rectangular matrix.
  .
- This is a virtual package which depends on the latest version of SLEPc.
+ This is a dependency package which depends on the latest version of SLEPc.
 
 Package: libslepc3.7-dev
 Section: libdevel
 Architecture: any
-Depends: libslepc3.7.3-dev, ${misc:Depends}, ${python:Depends}
+Depends: libslepc3.7.4-dev, ${misc:Depends}, ${python:Depends}
 Description: Scalable Library for Eigenvalue Problem Computations
  SLEPc is a software library for the solution of large scale sparse eigenvalue
  problems on parallel computers. It is an extension of PETSc and can be used
@@ -40,13 +41,13 @@
  which provides the static libraries, shared links, and header files
  for SLEPc with real numbers.
 
-Package: libslepc3.7.3-dev
+Package: libslepc3.7.4-dev
 Section: libdevel
 Architecture: any
-Depends: libslepc3.7.3 (= ${binary:Version}), ${petsc:dev},
+Depends: libslepc3.7.4 (= ${binary:Version}), ${petsc:dev},
  libarpack2-dev, libparpack2-dev, libhdf5-mpi-dev,
  ${misc:Depends}, ${python:Depends}
-Suggests: slepc3.7.3-doc (= ${binary:Version})
+Suggests: slepc3.7.4-doc (= ${binary:Version})
 Conflicts: libslepc2.3.2-dev
 Description: Scalable Library for Eigenvalue Problem Computations
  SLEPc is a software library for the solution of large scale sparse eigenvalue
@@ -58,7 +59,7 @@
  This package contains the static libraries, shared links, and header files
  for SLEPc with real numbers.
 
-Package: libslepc3.7.3
+Package: libslepc3.7.4
 Section: libs
 Architecture: any
 Provides: libslepc3.7
@@ -73,12 +74,12 @@
  .
  This package contains the shared libraries for SLEPc with real numbers.
 
-Package: slepc3.7.3-doc
+Package: slepc3.7.4-doc
 Architecture: all
 Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}
-Suggests: libslepc3.7.3-dev (= ${binary:Version})
+Suggests: libslepc3.7.4-dev (= ${binary:Version})
 Description: Scalable Library for Eigenvalue Problem Computations
  SLEPc is a software library for the solution of large scale sparse eigenvalue
  problems on parallel computers. It is an extension of PETSc and can be used
@@ -91,7 +92,7 @@
 Package: libslepc-complex-3.7-dev
 Section: libdevel
 Architecture: any
-Depends: libslepc-complex-3.7.3-dev, ${misc:Depends}, ${python:Depends}
+Depends: libslepc-complex-3.7.4-dev, ${misc:Depends}, ${python:Depends}
 Description: Scalable Library for Eigenvalue Problem Computations
  SLEPc is a software library for the solution of large scale sparse eigenvalue
  problems on parallel computers. It is an extension of PETSc and can be used
@@ -103,13 +104,13 @@
  which provides the static libraries, shared links, and header files
  for SLEPc with complex numbers.
 
-Package: libslepc-complex-3.7.3-dev
+Package: libslepc-complex-3.7.4-dev
 Section: libdevel
 Architecture: any
-Depends: libslepc-complex-3.7.3 (= ${binary:Version}), ${petsc:complex-dev},
+Depends: libslepc-complex-3.7.4 (= ${binary:Version}), ${petsc:complex-dev},
  libarpack2-dev, libparpack2-dev, libhdf5-mpi-dev,
  ${misc:Depends}, ${python:Depends}
-Suggests: slepc3.7.3-doc (= ${binary:Version})
+Suggests: slepc3.7.4-doc (= ${binary:Version})
 Conflicts: libslepc2.3.2-dev
 Description: Scalable Library for Eigenvalue Problem Computations
  SLEPc is a software library for the solution of large scale sparse eigenvalue
@@ -121,7 +122,7 @@
  This package contains the static libraries, shared links, and header files
  for SLEPc with complex numbers.
 
-Package: libslepc-complex-3.7.3
+Package: libslepc-complex-3.7.4
 Section: libs
 Architecture: any
 Provides: libslepc-complex-3.7
