=== debian/rules ===
--- 
+++ 
@@ -48,7 +48,7 @@
 
 # SLEPC_VERSION is used for the package names, library sonames, and
 # /usr/lib/slepcdir subdirectory names.
-SLEPC_VERSION=3.7.3$(SLEPC_EXT)
+SLEPC_VERSION=3.7.4$(SLEPC_EXT)
 # use only major.minor as general soname (rather than major.minor.patch.build)
 SLEPC_SONAME_VERSION=$(shell echo $(SLEPC_VERSION) | awk 'BEGIN { FS="."}; {print $$1"."$$2 }')
 
@@ -131,7 +131,7 @@
             --with-arpack=1 \
             --shared-library-extension=_real
 	dh_auto_build -p$(SLEPC_VERSIONED_DEV_PACKAGE) -p$(SLEPC_DOC_PACKAGE) -- \
-            PETSC_DIR=$(PETSC_DIR_REAL)
+            -j 1 PETSC_DIR=$(PETSC_DIR_REAL)
 	dh_auto_install -p$(SLEPC_VERSIONED_DEV_PACKAGE) -p$(SLEPC_DOC_PACKAGE) \
 	  --destdir=$(PACKAGE_INSTALL_DIR) --  \
           SLEPC_INSTALLDIR=$(SLEPC_DIR_PREFIX) \
@@ -146,7 +146,7 @@
           --with-arpack=1 \
           --shared-library-extension=_complex
 	dh_auto_build -p$(SLEPC_COMPLEX_VERSIONED_DEV_PACKAGE)  --  \
-          PETSC_DIR=$(PETSC_DIR_COMPLEX)
+          -j 1 PETSC_DIR=$(PETSC_DIR_COMPLEX)
 	dh_auto_install -p$(SLEPC_COMPLEX_VERSIONED_DEV_PACKAGE) --destdir=$(PACKAGE_COMPLEX_INSTALL_DIR) --  \
           SLEPC_INSTALLDIR=$(SLEPC_COMPLEX_DIR_PREFIX) \
           SLEPC_DESTDIR=$(PACKAGE_COMPLEX_INSTALL_DIR) \
@@ -166,4 +166,3 @@
 override_dh_installdocs:
 	dh_installdocs --exclude=makefile
 	# html docs for header files in include have been installed,
-	# but dh_installdocs cannot exclude the .h (-X.h bans the .html files)
