=== debian/watch ===
version=3
opts="dversionmangle=s/[\.\+]dfsg\d//,repacksuffix=+dfsg1, filenamemangle=s/.*=(.*)/$1/, compression=xz" \
 http://slepc.upv.es/download/ ./distrib/slepc-@ANY_VERSION@@ARCHIVE_EXT@
