## slepc 3.8.2+dfsg1

=== debian/changelog ===
slepc (3.8.2+dfsg1-4) unstable; urgency=medium

  * debian patch install_slepcconf.h_SLEPC_DIR-25fa25f10d6.diff
    applies upstream commit 25fa25f10d6 to fix value of SLEPC_DIR in
    slepcconf.h.
  * debian/control: update VCS tags to salsa.debian.org
  * debian patch make_parallel_47f9c11.patch applies upstream commit
    47f9c11 to facilitate parallel builds.
  * don't install lib/slepc/conf/uninstall.py into dev packages.

 -- Drew Parsons <dparsons@debian.org>  Wed, 21 Mar 2018 02:09:13 +0800

slepc (3.8.2+dfsg1-3) unstable; urgency=medium

  * debian/rules: separate -arch and -indep rules for
    override_dh_auto_install. Fixing slepcconf.h applies to -arch.

 -- Drew Parsons <dparsons@debian.org>  Sat, 03 Mar 2018 15:59:15 +0800

slepc (3.8.2+dfsg1-2) unstable; urgency=medium

  * set SLEPC_DIR in slepcconf.h to install dir not build dir.
    Closes: #891775.

 -- Drew Parsons <dparsons@debian.org>  Sat, 03 Mar 2018 11:34:18 +0800

slepc (3.8.2+dfsg1-1exp3) experimental; urgency=medium

  * Refresh i386 patch as slepcmath_xmmintrin_MM_FLUSH_ZERO_i386.patch,
    testing for __SSE__.  Flush To Zero was introduced with SSE in
    1999 on the Pentium III. Thanks Jose Roman for the updated patch.

 -- Drew Parsons <dparsons@debian.org>  Thu, 01 Mar 2018 01:40:00 +0800

slepc (3.8.2+dfsg1-1exp2) experimental; urgency=medium

  * Create patch slepcmath_xmmintrin_MM_FLUSH_ZERO_i386_disable.patch
    to work around a build error on i386 where SlepcSetFlushToZero()
    from slepcmath.h fails with a "target specific option mismatch"
    when using _MM_*_FLUSH_ZERO* from
    /usr/lib/gcc/i686-linux-gnu/7/include/xmmintrin.h

 -- Drew Parsons <dparsons@debian.org>  Wed, 28 Feb 2018 15:58:06 +0800

slepc (3.8.2+dfsg1-1exp1) experimental; urgency=medium

  * New upstream version.
  * Standards-Version: 4.1.3
  * debhelper compatibility level 11

 -- Drew Parsons <dparsons@debian.org>  Tue, 27 Feb 2018 15:39:06 +0800

slepc (3.8.1+dfsg1-1) experimental; urgency=medium

  * Team upload.
  * New upstream version.
    - now licenced under BSD-2-clause
    - provide packages as -3.8, not -3.8.z.
  * Update debian/watch: don't need filenamemangle.
  * Standards-Version: 4.1.1
  * debian/control: Priority: optional

 -- Drew Parsons <dparsons@debian.org>  Mon, 06 Nov 2017 15:02:35 +0800
