=== debian/control ===
Source: slepc
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: "Adam C. Powell, IV" <hazelsct@debian.org>, Drew Parsons <dparsons@debian.org>
Build-Depends: debhelper (>= 11), quilt, python (>= 2.4.4-6),
 pkg-config, dh-python, gfortran,
 libpetsc-real3.8-dev, libpetsc-complex3.8-dev,
 libarpack2-dev, libparpack2-dev
Standards-Version: 4.1.3
Section: libs
Homepage: http://slepc.upv.es/
Vcs-Git: git@salsa.debian.org:science-team/slepc.git
Vcs-Browser: https://salsa.debian.org/science-team/slepc

Package: slepc-dev
Section: libdevel
Architecture: any
Depends: libslepc-real3.8-dev, ${misc:Depends}
Description: Scalable Library for Eigenvalue Problem Computations
 SLEPc is a software library for the solution of large scale sparse eigenvalue
 problems on parallel computers. It is an extension of PETSc and can be used
 for either standard or generalized eigenproblems, with real or complex
 arithmetic. It can also be used for computing a partial SVD of a large,
 sparse, rectangular matrix.
 .
 This is a dependency package which depends on the latest version of SLEPc.

Package: libslepc-real3.8-dev
Section: libdevel
Architecture: any
Depends: libslepc-real3.8 (= ${binary:Version}), ${petsc:dev},
 libarpack2-dev, libparpack2-dev, libhdf5-mpi-dev,
 ${misc:Depends}, ${python:Depends}
Suggests: slepc3.8-doc (= ${binary:Version})
Conflicts: libslepc2.3.2-dev
Description: Scalable Library for Eigenvalue Problem Computations
 SLEPc is a software library for the solution of large scale sparse eigenvalue
 problems on parallel computers. It is an extension of PETSc and can be used
 for either standard or generalized eigenproblems, with real or complex
 arithmetic. It can also be used for computing a partial SVD of a large,
 sparse, rectangular matrix.
 .
 This package contains the static libraries, shared links, and header files
 for SLEPc with real numbers.

Package: libslepc-real3.8
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libslepc2.3.2, libslepc3.6 (<= 3.6.1.dfsg1-2)
Description: Scalable Library for Eigenvalue Problem Computations
 SLEPc is a software library for the solution of large scale sparse eigenvalue
 problems on parallel computers. It is an extension of PETSc and can be used
 for either standard or generalized eigenproblems, with real or complex
 arithmetic. It can also be used for computing a partial SVD of a large,
 sparse, rectangular matrix.
 .
 This package contains the shared libraries for SLEPc with real numbers.

Package: slepc3.8-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Suggests: libslepc-real3.8-dev | libslepc-complex3.8-dev
Description: Scalable Library for Eigenvalue Problem Computations
 SLEPc is a software library for the solution of large scale sparse eigenvalue
 problems on parallel computers. It is an extension of PETSc and can be used
 for either standard or generalized eigenproblems, with real or complex
 arithmetic. It can also be used for computing a partial SVD of a large,
 sparse, rectangular matrix.
 .
 This package contains the documentation and examples for SLEPc.

Package: libslepc-complex3.8-dev
Section: libdevel
Architecture: any
Depends: libslepc-complex3.8 (= ${binary:Version}), ${petsc:complex-dev},
 libarpack2-dev, libparpack2-dev, libhdf5-mpi-dev,
 ${misc:Depends}, ${python:Depends}
Suggests: slepc3.8-doc (= ${binary:Version})
Conflicts: libslepc2.3.2-dev
Description: Scalable Library for Eigenvalue Problem Computations
 SLEPc is a software library for the solution of large scale sparse eigenvalue
 problems on parallel computers. It is an extension of PETSc and can be used
 for either standard or generalized eigenproblems, with real or complex
 arithmetic. It can also be used for computing a partial SVD of a large,
 sparse, rectangular matrix.
 .
 This package contains the static libraries, shared links, and header files
 for SLEPc with complex numbers.

Package: libslepc-complex3.8
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libslepc2.3.2, libslepc-complex-3.6 (<= 3.6.1.dfsg1-2)
Description: Scalable Library for Eigenvalue Problem Computations
 SLEPc is a software library for the solution of large scale sparse eigenvalue
 problems on parallel computers. It is an extension of PETSc and can be used
 for either standard or generalized eigenproblems, with real or complex
 arithmetic. It can also be used for computing a partial SVD of a large,
 sparse, rectangular matrix.
 .
 This package contains the shared libraries for SLEPc with complex numbers.
