## slepc 3.8.3+dfsg1

=== debian/changelog ===
slepc (3.8.3+dfsg1-1) unstable; urgency=medium

  * New upstream version.
    - applies patch slepcmath_xmmintrin_MM_FLUSH_ZERO_i386.patch
  * Standards-Version: 4.1.4
  * Change Vcs-Git to https to facilitate access by all users.

 -- Drew Parsons <dparsons@debian.org>  Sat, 14 Apr 2018 12:23:58 +0800
