=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
  pkg-config, dh-python, gfortran,
  libpetsc-real3.8-dev, libpetsc-complex3.8-dev,
  libarpack2-dev, libparpack2-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Section: libs
 Homepage: http://slepc.upv.es/
-Vcs-Git: git@salsa.debian.org:science-team/slepc.git
+Vcs-Git: https://salsa.debian.org/science-team/slepc.git
 Vcs-Browser: https://salsa.debian.org/science-team/slepc
 
 Package: slepc-dev
